Support for the Ruby 2.1 series ended on March 31 2017. See here for details.

In Files

  • xmlrpc/parser.rb

NQXML::Node

Public Instance Methods

[](index) click to toggle source
 
               # File xmlrpc/parser.rb, line 24
def [] (index)
  @children[index]
end
            
childNodes() click to toggle source
 
               # File xmlrpc/parser.rb, line 18
def childNodes
  @children
end
            
hasChildNodes() click to toggle source
 
               # File xmlrpc/parser.rb, line 21
def hasChildNodes
  not @children.empty?
end
            
nodeName() click to toggle source
 
               # File xmlrpc/parser.rb, line 41
def nodeName
  #TODO: error when wrong Entity-type
  @entity.name
end
            
nodeType() click to toggle source
 
               # File xmlrpc/parser.rb, line 28
def nodeType
  if @entity.instance_of? NQXML::Text then :TEXT
  elsif @entity.instance_of? NQXML::Comment then :COMMENT
  #elsif @entity.instance_of? NQXML::Element then :ELEMENT
  elsif @entity.instance_of? NQXML::Tag then :ELEMENT
  else :ELSE
  end
end
            
nodeValue() click to toggle source
 
               # File xmlrpc/parser.rb, line 37
def nodeValue
  #TODO: error when wrong Entity-type
  @entity.text
end
            
removeChild(node) click to toggle source
 
               # File xmlrpc/parser.rb, line 15
def removeChild(node)
  @children.delete(node)
end